Alibaba: Wan 3.0 (Video Edit) API Reference

About

Wan 3.0 Reference to Video creates coherent videos from prompts and multimodal references, including images, videos, and audio, with flexible 2-30 second duration and aspect ratio control for subject consistency, motion guidance, timing control, and scene continuity.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/wan3.0/video-edit",
  "prompt": "Change the motorcycle's color to blue.",
  "image_urls": [],
  "video_urls": ["https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/13/20260813-165938-1a92459a-1775164552188802661_xR0aW5gp.mp4"],
  "duration": "5",
  "resolution": "1080p",
  "aspect_ratio": "16:9",
  "generate_audio": true,
  "watermark": false,
  "seed": 2147483647
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813090126485294501GAdLMiaP",
    "object": "video",
    "model": "wan/wan3.0/video-edit",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/20260813090126485294501GAdLMiaP"
    },
    "created_at": "2026-08-13 09:01:26.88"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/20260813090126485294501GAdLMiaP \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813090126485294501GAdLMiaP",
    "object": "video",
    "model": "wan/wan3.0/video-edit",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1786611687,
    "start_time": 1786611688,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-08-13 09:01:27"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813090126485294501GAdLMiaP",
    "object": "video",
    "model": "wan/wan3.0/video-edit",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1786611687,
    "start_time": 1786611688,
    "finish_time": 1786612644,
    "outputs": [
      "https://infron.ai/cdn/media/video/video_v2/output/output_93b1873c-2269-4def-b3d4-27ebec368516.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 13,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "1080P",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 13
    },
    "cost": {
      "total_cost": 2.6,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 2.6,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-13 09:01:27"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
image_urlsarrayNo--[0,10]Image URLs to use as a reference for the generation.
video_urlsarrayNo--[1]Video URLs to use as a reference for the generation.
durationintegerNo5[2,30]Duration of the video in seconds, between 2 and 30.
resolutionstringNo1080p480p, 720p, 1080pResolution of the generated video.
aspect_ratiostringNoadaptive16:9, 4:3, 1:1, 3:4, 9:16, adaptiveAspect ratio of the generated video.
generate_audiobooleanNotruetrue, falseWhether to generate audio.
watermarkbooleanNofalsetrue, falseWatermark.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/wan3.0/video-edit",
  "prompt": "Change the motorcycle's color to blue.",
  "image_urls": [],
  "video_urls": ["https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/13/20260813-165938-1a92459a-1775164552188802661_xR0aW5gp.mp4"],
  "duration": "5",
  "resolution": "1080p",
  "aspect_ratio": "16:9",
  "generate_audio": true,
  "watermark": false,
  "seed": 2147483647
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260813090126485294501GAdLMiaP",
    "object": "video",
    "model": "wan/wan3.0/video-edit",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1786611687,
    "start_time": 1786611688,
    "finish_time": 1786612644,
    "outputs": [
      "https://infron.ai/cdn/media/video/video_v2/output/output_93b1873c-2269-4def-b3d4-27ebec368516.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 13,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "1080P",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 13
    },
    "cost": {
      "total_cost": 2.6,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 2.6,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-13 09:01:27"
  }
}

3. Detailed Pricing

GenerationCalculationCost
5s at 480P5 × $0.05$0.25
10s at 480P10 × $0.05$0.50
30s at 480P30 × $0.05$1.50
5s at 720P5 × $0.10$0.50
10s at 720P10 × $0.10$1.00
30s at 720P30 × $0.10$3.00
5s at 1080P5 × $0.20$1.00
10s at 1080P10 × $0.20$2.00
30s at 1080P30 × $0.20$6.00